THT(4)

NAME
tht, thtc - Tehuti Networks 10Gb Ethernet device

SYNOPSIS
thtc* at pci?
tht* at thtc?

DESCRIPTION
The tht driver provides support for the Tehuti Networks 10 Gigabit Ethernet controllers and adapters, including the following:

•   TN3017-S 10 GbE Single Port XAUI Server Controller
•   TN3017-D 10 GbE Dual Port XAUI Server Controller
•   TN7581-D 10 GbE Dual XFP Server Adapter
•   TN7585-D 10 GbE Dual CX4 Low Profile Server Adapter
•   TN7588-S 10 GbE Single 10GBASET Low Profile Server Adapter
•   TN7588-D 10 GbE Dual 10GBASET Low Profile Server Adapter
•   TN7589-S 10 GbE Single CX4 Low Profile Server Adapter

FILES
The adapter needs a firmware file, which is loaded on demand by the driver when the device is attached:

/etc/firmware/tht

SEE ALSO
arp(4), ifmedia(4), intro(4), netintro(4), pci(4), ifconfig(8)

Tehuti Networks: http://www.tehutinetworks.net

HISTORY
The tht driver first appeared in OpenBSD 4.2.

AUTHORS
-nosplit The tht driver was written by David Gwynne <dlg@openbsd.org>.